MQChannel (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQChannel interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQChannel

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, java.io.Serializable

All Known Subinterfaces:
  MQClientConnectionChannel, MQClusterReceiverChannel, MQClusterSenderChannel, MQReceiverChannel, MQRequesterChannel, MQSenderChannel, MQServerChannel, MQServerConnectionChannel

    public interface MQChannel

extends LogicalElement, MQBase, ConfigurationItem

Message channels are the channels that carry messages from one queue manager to another.

Naming Rules:
  0="queueManager,name"
Persistable:
  true
Table Name:
  MQCHANNEL

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`long` | `getBatchInterval()` Batch interval (parameter identifier: MQIACH_BATCH_INTERVAL).
`long` | `getBatchSize()` Specifies the maximum number of messages that should be sent down a channel before a checkpoint is taken.
`int` | `getChannelMonitoring()` Level of monitoring data collection for the channel (parameter identifier: MQIA_MONITORING_CHANNEL).
`int` | `getChannelStatistics()` Level of monitoring data collection for the channel (parameter identifier: MQIA_MONITORING_CHANNEL).
`java.lang.String` | `getConnectionName()` Connection name (parameter identifier: MQCACH_CONNECTION_NAME).
`long` | `getDisconnectInterval()` Disconnection interval (parameter identifier: MQIACH_DISC_INTERVAL).
`int` | `getHeaderCompression()` Header data compression techniques supported by the channel (parameter identifier: MQIACH_HDR_COMPRESSION).
`long` | `getHeartbeatInterval()` Heartbeat interval (parameter identifier: MQIACH_HB_INTERVAL).
`long` | `getKeepAliveInterval()` The KeepAlive Interval attribute is a value passed to the communications stack specifying the KeepAlive timing for the channel.
`long` | `getMaxMessageLength()` Maximum message length (parameter identifier: MQIACH_MAX_MSG_LENGTH).
`java.lang.String` | `getMCAName()` Message channel agent name (parameter identifier: MQCACH_MCA_NAME).
`int` | `getMCAType()` Message channel agent type (parameter identifier: MQIACH_MCA_TYPE).
`java.lang.String` | `getMCAUserId()` Message channel agent user identifier (parameter identifier: MQCACH_MCA_USER_ID).
`java.lang.String` | `getMCAUserIdentifier()` Message channel agent user identifier (parameter identifier: MQCACH_MCA_USER_ID).
`int` | `getMessageCompression()` Message data compression techniques supported by the channel (parameter identifier: MQIACH_MSG_COMPRESSION).
`java.lang.String` | `getMessageExitName()` Message exit name (parameter identifier: MQCACH_MSG_EXIT_NAME).
`java.lang.String` | `getMessageExitUserData()` Message exit user data (parameter identifier: MQCACH_MSG_EXIT_USER_DATA).
`long` | `getMessageRetry()` The number of times the channel retries before it decides it cannot deliver the message.
`long` | `getMessageRetryTimer()` The minimum interval of time that must pass before the channel can retry the MQPUT operation.
`java.lang.String` | `getMessageRetryUserData()` MSGDATA User data for the channel message exit.
`java.lang.String` | `getName()` Channel name (parameter identifier: MQCACH_CHANNEL_NAME).
`int` | `getNonPersistentMessageSpeed()` Speed at which nonpersistent messages are to be sent (parameter identifier: MQIACH_NPM_SPEED).
`BindAddress` | `getProtocolEndpoint()`
`MQQueueManager` | `getQueueManager()`
`java.lang.String` | `getQueueSharingGroupDisposition()` This parameter applies to z/OS only.
`java.lang.String` | `getReceiveExitName()` Receive exit name (parameter identifier: MQCACH_RCV_EXIT_NAME).
`java.lang.String` | `getReceiveExitUserData()` Receive exit user data (parameter identifier: MQCACH_RCV_EXIT_USER_DATA).
`java.lang.String` | `getSecurityExitName()` Security exit name (parameter identifier: MQCACH_SEC_EXIT_NAME).
`java.lang.String` | `getSecurityExitUserData()` Security exit user data (parameter identifier: MQCACH_SEC_EXIT_USER_DATA).
`java.lang.String` | `getSendExitName()` Send exit name (parameter identifier: MQCACH_SEND_EXIT_NAME).
`java.lang.String` | `getSendExitUserData()` Send exit user data (parameter identifier: MQCACH_SEND_EXIT_USER_DATA).
`boolean` | `getSequenceNumberWrap()` Sequence wrap number (parameter identifier: MQIACH_SEQUENCE_NUMBER_WRAP).
`long` | `getShortRetry()` SHORTRTY(integer) The maximum number of attempts that are made by a sender, server, or cluster-sender channel to connect to the remote queue manager, at intervals specified by SHORTTMR, before the (normally longer) LONGRTY and LONGTMR are used.
`java.lang.String` | `getSSLCipherSpecification()` SSL cipher specification (parameter identifier: MQCACH_SSL_CIPHER_SPEC).
`boolean` | `getSSLClientAuthentication()` SSL client authentication (parameter identifier: MQIACH_SSL_CLIENT_AUTH).
`java.lang.String` | `getSSLPeer()` SSLPEER Specifies the filter to use to compare with the Distinguished Name of the certificate from the peer queue manager or client at the other end of the channel.
`java.lang.String` | `getTransmissionQueue()` Transmission queue name (parameter identifier: MQCACH_XMIT_Q_NAME).
`java.lang.String` | `getUserID()` USERID Task user identifier.
`boolean` | `hasBatchInterval()`
`boolean` | `hasBatchSize()`
`boolean` | `hasChannelMonitoring()`
`boolean` | `hasChannelStatistics()`
`boolean` | `hasConnectionName()`
`boolean` | `hasDisconnectInterval()`
`boolean` | `hasHeaderCompression()`
`boolean` | `hasHeartbeatInterval()`
`boolean` | `hasKeepAliveInterval()`
`boolean` | `hasMaxMessageLength()`
`boolean` | `hasMCAName()`
`boolean` | `hasMCAType()`
`boolean` | `hasMCAUserId()`
`boolean` | `hasMCAUserIdentifier()`
`boolean` | `hasMessageCompression()`
`boolean` | `hasMessageExitName()`
`boolean` | `hasMessageExitUserData()`
`boolean` | `hasMessageRetry()`
`boolean` | `hasMessageRetryTimer()`
`boolean` | `hasMessageRetryUserData()`
`boolean` | `hasName()`
`boolean` | `hasNonPersistentMessageSpeed()`
`boolean` | `hasProtocolEndpoint()`
`boolean` | `hasQueueManager()`
`boolean` | `hasQueueSharingGroupDisposition()`
`boolean` | `hasReceiveExitName()`
`boolean` | `hasReceiveExitUserData()`
`boolean` | `hasSecurityExitName()`
`boolean` | `hasSecurityExitUserData()`
`boolean` | `hasSendExitName()`
`boolean` | `hasSendExitUserData()`
`boolean` | `hasSequenceNumberWrap()`
`boolean` | `hasShortRetry()`
`boolean` | `hasSSLCipherSpecification()`
`boolean` | `hasSSLClientAuthentication()`
`boolean` | `hasSSLPeer()`
`boolean` | `hasTransmissionQueue()`
`boolean` | `hasUserID()`
`void` | `setBatchInterval(long x)`
`void` | `setBatchSize(long x)`
`void` | `setChannelMonitoring(int x)`
`void` | `setChannelStatistics(int x)`
`void` | `setConnectionName(java.lang.String x)`
`void` | `setDisconnectInterval(long x)`
`void` | `setHeaderCompression(int x)`
`void` | `setHeartbeatInterval(long x)`
`void` | `setKeepAliveInterval(long x)`
`void` | `setMaxMessageLength(long x)`
`void` | `setMCAName(java.lang.String x)`
`void` | `setMCAType(int x)`
`void` | `setMCAUserId(java.lang.String x)`
`void` | `setMCAUserIdentifier(java.lang.String x)`
`void` | `setMessageCompression(int x)`
`void` | `setMessageExitName(java.lang.String x)`
`void` | `setMessageExitUserData(java.lang.String x)`
`void` | `setMessageRetry(long x)`
`void` | `setMessageRetryTimer(long x)`
`void` | `setMessageRetryUserData(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setNonPersistentMessageSpeed(int x)`
`void` | `setProtocolEndpoint(BindAddress x)`
`void` | `setQueueManager(MQQueueManager x)`
`void` | `setQueueSharingGroupDisposition(java.lang.String x)`
`void` | `setReceiveExitName(java.lang.String x)`
`void` | `setReceiveExitUserData(java.lang.String x)`
`void` | `setSecurityExitName(java.lang.String x)`
`void` | `setSecurityExitUserData(java.lang.String x)`
`void` | `setSendExitName(java.lang.String x)`
`void` | `setSendExitUserData(java.lang.String x)`
`void` | `setSequenceNumberWrap(boolean x)`
`void` | `setShortRetry(long x)`
`void` | `setSSLCipherSpecification(java.lang.String x)`
`void` | `setSSLClientAuthentication(boolean x)`
`void` | `setSSLPeer(java.lang.String x)`
`void` | `setTransmissionQueue(java.lang.String x)`
`void` | `setUserID(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getHeartbeatInterval

    long getHeartbeatInterval()
                              throws AttributeNotSetException

  Heartbeat interval (parameter identifier: MQIACH_HB_INTERVAL).

  Throws:
    `AttributeNotSetException`

### setHeartbeatInterval

    void setHeartbeatInterval(long x)

### hasHeartbeatInterval

    boolean hasHeartbeatInterval()

### getKeepAliveInterval

    long getKeepAliveInterval()
                              throws AttributeNotSetException

  The KeepAlive Interval attribute is a value passed to the communications stack specifying the KeepAlive timing for the channel. It allows you to specify a different keepalive value for each channel. MQIACH_KEEP_ALIVE_INTERVAL).

  Throws:
    `AttributeNotSetException`

### setKeepAliveInterval

    void setKeepAliveInterval(long x)

### hasKeepAliveInterval

    boolean hasKeepAliveInterval()

### getUserID

    java.lang.String getUserID()
                               throws AttributeNotSetException

  USERID Task user identifier. The maximum length is 12 characters. This is used by the message channel agent when attempting to initiate a secure LU 6.2 session with a remote message channel agent. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, RQSTR, CLNTCONN, or CLUSSDR. On z/OS, it is supported only for CLNTCONN channels. Although the maximum length of the parameter is 12 characters, only the first 10 characters are used. On the receiving end, if passwords are kept in encrypted format and the LU 6.2 software is using a different encryption method, an attempt to start the channel fails with invalid security details. You can avoid this by modifying the receiving SNA configuration to either: Turn off password substitution, or define a security user ID and password.

  Throws:
    `AttributeNotSetException`

### setUserID

    void setUserID(java.lang.String x)

### hasUserID

    boolean hasUserID()

### getDisconnectInterval

    long getDisconnectInterval()
                               throws AttributeNotSetException

  Disconnection interval (parameter identifier: MQIACH_DISC_INTERVAL).

  Throws:
    `AttributeNotSetException`

### setDisconnectInterval

    void setDisconnectInterval(long x)

### hasDisconnectInterval

    boolean hasDisconnectInterval()

### getHeaderCompression

    int getHeaderCompression()
                             throws AttributeNotSetException

  Header data compression techniques supported by the channel (parameter identifier: MQIACH_HDR_COMPRESSION). For sender, server, cluster-sender, cluster-receiver, and client-connection channels, the values specified are in order of preference. HeaderCompression - "the list of header data compression techniques supported by the channel " - NONE, SYSTEM

  Throws:
    `AttributeNotSetException`

### setHeaderCompression

    void setHeaderCompression(int x)

### hasHeaderCompression

    boolean hasHeaderCompression()

### getTransmissionQueue

    java.lang.String getTransmissionQueue()
                                          throws AttributeNotSetException

  Transmission queue name (parameter identifier: MQCACH_XMIT_Q_NAME). The maximum length of the string is MQ_Q_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setTransmissionQueue

    void setTransmissionQueue(java.lang.String x)

### hasTransmissionQueue

    boolean hasTransmissionQueue()

### getBatchInterval

    long getBatchInterval()
                          throws AttributeNotSetException

  Batch interval (parameter identifier: MQIACH_BATCH_INTERVAL).

  Throws:
    `AttributeNotSetException`

### setBatchInterval

    void setBatchInterval(long x)

### hasBatchInterval

    boolean hasBatchInterval()

### getSecurityExitName

    java.lang.String getSecurityExitName()
                                         throws AttributeNotSetException

  Security exit name (parameter identifier: MQCACH_SEC_EXIT_NAME). For a client-connection channel the maximum length of the exit name is MQ_MAX_EXIT_NAME_LENGTH. For all other channels, the maximum length of the exit name is MQ_EXIT_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setSecurityExitName

    void setSecurityExitName(java.lang.String x)

### hasSecurityExitName

    boolean hasSecurityExitName()

### getChannelStatistics

    int getChannelStatistics()
                             throws AttributeNotSetException

  Level of monitoring data collection for the channel (parameter identifier: MQIA_MONITORING_CHANNEL).

  Throws:
    `AttributeNotSetException`

### setChannelStatistics

    void setChannelStatistics(int x)

### hasChannelStatistics

    boolean hasChannelStatistics()

### getQueueManager

    MQQueueManager getQueueManager()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setQueueManager

    void setQueueManager(MQQueueManager x)

### hasQueueManager

    boolean hasQueueManager()

### getConnectionName

    java.lang.String getConnectionName()
                                       throws AttributeNotSetException

  Connection name (parameter identifier: MQCACH_CONNECTION_NAME). The maximum length of the string is MQ_CONN_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setConnectionName

    void setConnectionName(java.lang.String x)

### hasConnectionName

    boolean hasConnectionName()

### getMessageRetry

    long getMessageRetry()
                         throws AttributeNotSetException

  The number of times the channel retries before it decides it cannot deliver the message. This parameter controls the action of the MCA only if the message-retry exit name is blank. If the exit name is not blank, the value of MRRTY is passed to the exit for the exit's use, but the number of retries performed (if any) is controlled by the exit, and not by this parameter. The value must be in the range zero through 999 999 999. A value of zero means that no retries are performed. The default value is 10, except for z/OS channels that you are migrating from an earlier release which take a value of zero as default. This parameter is valid only for channels with a channel type (CHLTYPE) of RCVR, RQSTR, or CLUSRCVR.

  Throws:
    `AttributeNotSetException`

### setMessageRetry

    void setMessageRetry(long x)

### hasMessageRetry

    boolean hasMessageRetry()

### getReceiveExitName

    java.lang.String getReceiveExitName()
                                        throws AttributeNotSetException

  Receive exit name (parameter identifier: MQCACH_RCV_EXIT_NAME). The number of names in the list is given by the Count field in the MQCFSL structure. It will be the same as the Count for ReceiveUserData. It may exceed the number of exit names specified for the channel, in which case the excess names are blank - the minimum is 1. The length of each name is given by the StringLength field in that structure. For a client-connection channel the maximum length of the exit name is MQ_MAX_EXIT_NAME_LENGTH. For all other channels, the maximum length of the exit name is MQ_EXIT_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setReceiveExitName

    void setReceiveExitName(java.lang.String x)

### hasReceiveExitName

    boolean hasReceiveExitName()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Channel name (parameter identifier: MQCACH_CHANNEL_NAME).

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getNonPersistentMessageSpeed

    int getNonPersistentMessageSpeed()
                                     throws AttributeNotSetException

  Speed at which nonpersistent messages are to be sent (parameter identifier: MQIACH_NPM_SPEED).

  Throws:
    `AttributeNotSetException`

### setNonPersistentMessageSpeed

    void setNonPersistentMessageSpeed(int x)

### hasNonPersistentMessageSpeed

    boolean hasNonPersistentMessageSpeed()

### getMCAUserIdentifier

    java.lang.String getMCAUserIdentifier()
                                          throws AttributeNotSetException

  Message channel agent user identifier (parameter identifier: MQCACH_MCA_USER_ID). The maximum length of the MCA user identifier is MQ_MCA_USER_ID_LENGTH.

  Throws:
    `AttributeNotSetException`

### setMCAUserIdentifier

    void setMCAUserIdentifier(java.lang.String x)

### hasMCAUserIdentifier

    boolean hasMCAUserIdentifier()

### getQueueSharingGroupDisposition

    java.lang.String getQueueSharingGroupDisposition()
                                                     throws AttributeNotSetException

  This parameter applies to z/OS only. Specifies the disposition of the object to which you are applying the command (that is, where it is defined and how it behaves). COPY - The object definition resides on the page set of the queue manager that executes the command. The object was defined using a command that had the parameters QSGDISP(COPY). Any object residing in the shared repository, or any object defined using a command that had the parameters QSGDISP(QMGR), is not affected by this command. GROUP - The object definition resides in the shared repository. The object was defined using a command that had the parameters QSGDISP(GROUP). Any object residing on the page set of the queue manager that executes the command (except a local copy of the object) is not affected by this command. If the command is successful, the following command is generated and sent to all active queue managers in the queue-sharing group to attempt to refresh local copies on page set zero. QMGR - The object definition resides on the page set of the queue manager that executes the command. The object was defined using a command that had the parameters QSGDISP(QMGR). Any object residing in the shared repository, or any local copy of such an object, is not affected by this command. This is the default value.

  Throws:
    `AttributeNotSetException`

### setQueueSharingGroupDisposition

    void setQueueSharingGroupDisposition(java.lang.String x)

### hasQueueSharingGroupDisposition

    boolean hasQueueSharingGroupDisposition()

### getSSLPeer

    java.lang.String getSSLPeer()
                                throws AttributeNotSetException

  SSLPEER Specifies the filter to use to compare with the Distinguished Name of the certificate from the peer queue manager or client at the other end of the channel. (A Distinguished Name is the identifier of the SSL certificate.) If the Distinguished Name in the certificate received from the peer does not match the SSLPEER filter, the channel does not start. This parameter is optional - if it is not specified, the Distinguished Name of the peer is not checked at channel start up. (The Distinguished Name from the certificate is still written into the SSLPEER definition held in memory, and passed to the security exit). If SSLCIPH is blank, the data is ignored and no error message is issued. This parameter is valid for all channel types. Any or all of the attribute values can be generic, either an asterisk (*) on its own, or a stem with initiating or trailing asterisks. This allows the SSLPEER to match any Distinguished Name value, or any value starting with the stem for that attribute.

  Throws:
    `AttributeNotSetException`

### setSSLPeer

    void setSSLPeer(java.lang.String x)

### hasSSLPeer

    boolean hasSSLPeer()

### getMessageRetryTimer

    long getMessageRetryTimer()
                              throws AttributeNotSetException

  The minimum interval of time that must pass before the channel can retry the MQPUT operation. This time interval is in milliseconds. This parameter controls the action of the MCA only if the message-retry exit name is blank. If the exit name is not blank, the value of MRTMR is passed to the exit for the exit's use, but the retry interval is controlled by the exit, and not by this parameter. The value must be in the range zero through 999 999 999. A value of zero means that the retry is performed as soon as possible (provided that the value of MRRTY is greater than zero). This parameter is valid only for channels with a channel type (CHLTYPE) of RCVR, RQSTR, or CLUSRCVR.

  Throws:
    `AttributeNotSetException`

### setMessageRetryTimer

    void setMessageRetryTimer(long x)

### hasMessageRetryTimer

    boolean hasMessageRetryTimer()

### getSendExitUserData

    java.lang.String getSendExitUserData()
                                         throws AttributeNotSetException

  Send exit user data (parameter identifier: MQCACH_SEND_EXIT_USER_DATA). The number of names in the list is given by the Count field in the MQCFSL structure. It will be the same as the count for SendExit. The length of each name is given by the StringLength field in that structure. The maximum length of the string is MQ_EXIT_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setSendExitUserData

    void setSendExitUserData(java.lang.String x)

### hasSendExitUserData

    boolean hasSendExitUserData()

### getMaxMessageLength

    long getMaxMessageLength()
                             throws AttributeNotSetException

  Maximum message length (parameter identifier: MQIACH_MAX_MSG_LENGTH).

  Throws:
    `AttributeNotSetException`

### setMaxMessageLength

    void setMaxMessageLength(long x)

### hasMaxMessageLength

    boolean hasMaxMessageLength()

### getSequenceNumberWrap

    boolean getSequenceNumberWrap()
                                  throws AttributeNotSetException

  Sequence wrap number (parameter identifier: MQIACH_SEQUENCE_NUMBER_WRAP).

  Throws:
    `AttributeNotSetException`

### setSequenceNumberWrap

    void setSequenceNumberWrap(boolean x)

### hasSequenceNumberWrap

    boolean hasSequenceNumberWrap()

### getMessageCompression

    int getMessageCompression()
                              throws AttributeNotSetException

  Message data compression techniques supported by the channel (parameter identifier: MQIACH_MSG_COMPRESSION). For sender, server, cluster-sender, cluster-receiver, and client-connection channels, the values specified are in order of preference. MessageCompression - "the list of message data compression techniques supported by the channel." - possible values: NONE, RLE, ZLIBFAST, ZLIBHIGH, ANY

  Throws:
    `AttributeNotSetException`

### setMessageCompression

    void setMessageCompression(int x)

### hasMessageCompression

    boolean hasMessageCompression()

### getMCAType

    int getMCAType()
                   throws AttributeNotSetException

  Message channel agent type (parameter identifier: MQIACH_MCA_TYPE).

  Throws:
    `AttributeNotSetException`

### setMCAType

    void setMCAType(int x)

### hasMCAType

    boolean hasMCAType()

### getShortRetry

    long getShortRetry()
                       throws AttributeNotSetException

  SHORTRTY(integer) The maximum number of attempts that are made by a sender, server, or cluster-sender channel to connect to the remote queue manager, at intervals specified by SHORTTMR, before the (normally longer) LONGRTY and LONGTMR are used. Retry attempts are made if the channel fails to connect initially (whether it is started automatically by the channel initiator or by an explicit command), and also if the connection fails after the channel has successfully connected. However, if the cause of the failure is such that retry is unlikely to be successful, retries are not attempted. The value must be in the range zero through 999 999 999. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, CLUSSDR, or CLUSRCVR

  Throws:
    `AttributeNotSetException`

### setShortRetry

    void setShortRetry(long x)

### hasShortRetry

    boolean hasShortRetry()

### getProtocolEndpoint

    BindAddress getProtocolEndpoint()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setProtocolEndpoint

    void setProtocolEndpoint(BindAddress x)

### hasProtocolEndpoint

    boolean hasProtocolEndpoint()

### getSecurityExitUserData

    java.lang.String getSecurityExitUserData()
                                             throws AttributeNotSetException

  Security exit user data (parameter identifier: MQCACH_SEC_EXIT_USER_DATA). The maximum length of the string is MQ_EXIT_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setSecurityExitUserData

    void setSecurityExitUserData(java.lang.String x)

### hasSecurityExitUserData

    boolean hasSecurityExitUserData()

### getBatchSize

    long getBatchSize()
                      throws AttributeNotSetException

  Specifies the maximum number of messages that should be sent down a channel before a checkpoint is taken. The possible values are: *SYSDFTCHL The value of this attribute is taken from the system default channel of the specified type. batch-size Specify a value in the range one through 9999

  Throws:
    `AttributeNotSetException`

### setBatchSize

    void setBatchSize(long x)

### hasBatchSize

    boolean hasBatchSize()

### getChannelMonitoring

    int getChannelMonitoring()
                             throws AttributeNotSetException

  Level of monitoring data collection for the channel (parameter identifier: MQIA_MONITORING_CHANNEL).

  Throws:
    `AttributeNotSetException`

### setChannelMonitoring

    void setChannelMonitoring(int x)

### hasChannelMonitoring

    boolean hasChannelMonitoring()

### getMCAName

    java.lang.String getMCAName()
                                throws AttributeNotSetException

  Message channel agent name (parameter identifier: MQCACH_MCA_NAME). The maximum length of the string is MQ_MCA_NAME_LENGTH

  Throws:
    `AttributeNotSetException`

### setMCAName

    void setMCAName(java.lang.String x)

### hasMCAName

    boolean hasMCAName()

### getSendExitName

    java.lang.String getSendExitName()
                                     throws AttributeNotSetException

  Send exit name (parameter identifier: MQCACH_SEND_EXIT_NAME). The number of names in the list is given by the Count field in the MQCFSL structure. It will be the same as the Count for SendUserData. It may exceed the number of exit names specified for the channel, in which case the excess names are blank - the minimum is 1. The length of each name is given by the StringLength field in that structure. For a client-connection channel the maximum length of the exit name is MQ_MAX_EXIT_NAME_LENGTH. For all other channels, the maximum length of the exit name is MQ_EXIT_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setSendExitName

    void setSendExitName(java.lang.String x)

### hasSendExitName

    boolean hasSendExitName()

### getMCAUserId

    java.lang.String getMCAUserId()
                                  throws AttributeNotSetException

  Message channel agent user identifier (parameter identifier: MQCACH_MCA_USER_ID). The maximum length of the MCA user identifier is MQ_MCA_USER_ID_LENGTH.

  Throws:
    `AttributeNotSetException`

### setMCAUserId

    void setMCAUserId(java.lang.String x)

### hasMCAUserId

    boolean hasMCAUserId()

### getMessageRetryUserData

    java.lang.String getMessageRetryUserData()
                                             throws AttributeNotSetException

  MSGDATA User data for the channel message exit. The maximum length is 32 characters. This data is passed to the channel message exit when it is called. On AIX, HP OpenVMS, HP-UX, Linux, Solaris, and Windows, you can specify data for more than one exit program by specifying multiple strings separated by commas. The total length of the field must not exceed 999 characters. On i5/OS, you can specify up to 10 strings, each of length 32 characters. The first string of data is passed to the first message exit specified, the second string to the second exit, and so on. On z/OS, you can specify up to 8 strings, each of length 32 characters. The first string of data is passed to the first message exit specified, the second string to the second exit, and so on. On other platforms you can specify only one string of message exit data for each channel. Note: This parameter is accepted but ignored for server-connection and client-connection channels.

  Throws:
    `AttributeNotSetException`

### setMessageRetryUserData

    void setMessageRetryUserData(java.lang.String x)

### hasMessageRetryUserData

    boolean hasMessageRetryUserData()

### getSSLCipherSpecification

    java.lang.String getSSLCipherSpecification()
                                               throws AttributeNotSetException

  SSL cipher specification (parameter identifier: MQCACH_SSL_CIPHER_SPEC). The maximum length of the string is MQ_SSL_CIPHER_SPEC_LENGTH.

  Throws:
    `AttributeNotSetException`

### setSSLCipherSpecification

    void setSSLCipherSpecification(java.lang.String x)

### hasSSLCipherSpecification

    boolean hasSSLCipherSpecification()

### getMessageExitUserData

    java.lang.String getMessageExitUserData()
                                            throws AttributeNotSetException

  Message exit user data (parameter identifier: MQCACH_MSG_EXIT_USER_DATA). The number of names in the list is given by the Count field in the MQCFSL structure. It will be the same as the count for MsgExit. The length of each name is given by the StringLength field in that structure. The maximum length of the string is MQ_EXIT_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setMessageExitUserData

    void setMessageExitUserData(java.lang.String x)

### hasMessageExitUserData

    boolean hasMessageExitUserData()

### getMessageExitName

    java.lang.String getMessageExitName()
                                        throws AttributeNotSetException

  Message exit name (parameter identifier: MQCACH_MSG_EXIT_NAME). The number of names in the list is given by the Count field in the MQCFSL structure. It will be the same as the Count for MsgUserData. It may exceed the number of exit names specified for the channel, in which case the excess names are blank - the minimum is 1. The length of each name is given by the StringLength field in that structure. The maximum length of the exit name is MQ_EXIT_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setMessageExitName

    void setMessageExitName(java.lang.String x)

### hasMessageExitName

    boolean hasMessageExitName()

### getSSLClientAuthentication

    boolean getSSLClientAuthentication()
                                       throws AttributeNotSetException

  SSL client authentication (parameter identifier: MQIACH_SSL_CLIENT_AUTH). MQSCA_REQUIRED Certificate required. MQSCA_OPTIONAL Certificate optional.

  Throws:
    `AttributeNotSetException`

### setSSLClientAuthentication

    void setSSLClientAuthentication(boolean x)

### hasSSLClientAuthentication

    boolean hasSSLClientAuthentication()

### getReceiveExitUserData

    java.lang.String getReceiveExitUserData()
                                            throws AttributeNotSetException

  Receive exit user data (parameter identifier: MQCACH_RCV_EXIT_USER_DATA). The number of names in the list is given by the Count field in the MQCFSL structure. It will be the same as the count for ReceiveExit. The length of each name is given by the StringLength field in that structure. The maximum length of the string is MQ_EXIT_DATA_LENGTH.

  Throws:
    `AttributeNotSetException`

### setReceiveExitUserData

    void setReceiveExitUserData(java.lang.String x)

### hasReceiveExitUserData

    boolean hasReceiveExitUserData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD